---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/librawmnwait001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x520F0, symBinAddr: 0x8310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54030, symBinAddr: 0xA250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54420, symBinAddr: 0xA640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x553C0, symBinAddr: 0xB5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x553D0, symBinAddr: 0xB5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FC20, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FC24, symBinAddr: 0x6094, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FC28, symBinAddr: 0x6098, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FD80, symBinAddr: 0x60A0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FE38, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FE3C, symBinAddr: 0x615C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FE40, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FE44, symBinAddr: 0x6164, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FE48, symBinAddr: 0x6168, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FE50, symBinAddr: 0x6170, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FE68, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FE70, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FE78, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FE80, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FE88, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FECA, symBinAddr: 0x61BA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FED0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL8monitors, symObjAddr: 0x4FEE0, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x911D, offset: 0x911D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51EE0, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x913D, offset: 0x913D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51EE8, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x918F, offset: 0x918F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1420, symSize: 0x80 }
  - { offsetInCU: 0x9224, offset: 0x9224, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1370, symSize: 0xB0 }
  - { offsetInCU: 0x927F, offset: 0x927F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1270, symSize: 0x100 }
  - { offsetInCU: 0x9512, offset: 0x9512, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x14A0, symSize: 0x220 }
  - { offsetInCU: 0x96F7, offset: 0x96F7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x16C0, symSize: 0xA0 }
  - { offsetInCU: 0x97AA, offset: 0x97AA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1760, symSize: 0x110 }
  - { offsetInCU: 0x98A0, offset: 0x98A0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1870, symSize: 0x150 }
  - { offsetInCU: 0x9A1D, offset: 0x9A1D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x19C0, symSize: 0x30 }
  - { offsetInCU: 0x9ADE, offset: 0x9ADE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x19F0, symSize: 0x150 }
  - { offsetInCU: 0x9CD6, offset: 0x9CD6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1B40, symSize: 0x160 }
  - { offsetInCU: 0x9E62, offset: 0x9E62, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1CA0, symSize: 0x1B0 }
  - { offsetInCU: 0xA07D, offset: 0xA07D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1E50, symSize: 0xA0 }
  - { offsetInCU: 0xA14C, offset: 0xA14C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1EF0, symSize: 0x20 }
  - { offsetInCU: 0xA183, offset: 0xA183, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1F10, symSize: 0x20 }
  - { offsetInCU: 0xA1BA, offset: 0xA1BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1F30, symSize: 0x20 }
  - { offsetInCU: 0xA329, offset: 0xA329, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1F50, symSize: 0x1A0 }
  - { offsetInCU: 0xA64F, offset: 0xA64F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x20F0, symSize: 0x80 }
  - { offsetInCU: 0xA718, offset: 0xA718, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2170, symSize: 0x6A0 }
  - { offsetInCU: 0xB2AD, offset: 0xB2AD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA330, symBinAddr: 0x3630, symSize: 0xB0 }
  - { offsetInCU: 0xB324, offset: 0xB324, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2810, symSize: 0x70 }
  - { offsetInCU: 0xB3C0, offset: 0xB3C0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2880, symSize: 0xA0 }
  - { offsetInCU: 0xB4CB, offset: 0xB4CB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2920, symSize: 0x40 }
  - { offsetInCU: 0xB5C1, offset: 0xB5C1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2960, symSize: 0x2B0 }
  - { offsetInCU: 0xB967, offset: 0xB967, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2C10, symSize: 0xC0 }
  - { offsetInCU: 0xBAAD, offset: 0xBAAD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2CD0, symSize: 0x10 }
  - { offsetInCU: 0xBB6F, offset: 0xBB6F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2CE0, symSize: 0x220 }
  - { offsetInCU: 0xBE6C, offset: 0xBE6C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2F00, symSize: 0x10 }
  - { offsetInCU: 0xBEC9, offset: 0xBEC9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2F10, symSize: 0xF0 }
  - { offsetInCU: 0xC016, offset: 0xC016, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x3000, symSize: 0x10 }
  - { offsetInCU: 0xC073, offset: 0xC073, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9D10, symBinAddr: 0x3010, symSize: 0x310 }
  - { offsetInCU: 0xC21F, offset: 0xC21F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RawMonitorWait_rawmnwait001_check, symObjAddr: 0xA020, symBinAddr: 0x3320, symSize: 0x310 }
  - { offsetInCU: 0xC3CD, offset: 0xC3CD, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA3E0, symBinAddr: 0x36E0, symSize: 0x36A }
...
